# $Revision: 1.14 $, $Date: 2004/05/07 01:12:27 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Regexp
%define	pnam	Shellish
Summary:	Regexp::Shellish Perl module - shell-like regular expressions
Summary(pl):	Modu Perla Regexp::Shellish - wyraenia regularne podobne do rozwini wykonywanych przez powoki
Name:		perl-Regexp-Shellish
Version:	0.93
Release:	4
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a5f92bf82b3d5033518e6d2c1028ee37
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Regexp::Shellish module provides shell-like regular expressions. The
wildcards provided are '?', '*' and '**', where '**' is like '*' but
matches '/'.

%description -l pl
Modu Regexp::Shellish udostpnia wyraenia regularne podobne do
rozwini wykonywanych przez powoki. Dostpne maski to: '?', '*' i
'**', gdzie '**' jest podobna do '*', ale obejmuje znaki '/'.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Regexp/Shellish.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Regexp-Shellish.spec,v $
Revision 1.14  2004/05/07 01:12:27  ankry
- rel. 4

Revision 1.13  2004/05/06 18:20:59  ankry
- fixed perl-devel BR

Revision 1.12  2004/04/29 20:15:52  ankry
- tests added, license fixed

Revision 1.11  2004/04/15 09:24:12  ankry
- cosmetics

Revision 1.10  2004/04/15 08:39:04  ankry
- summary/description cosmetics

Revision 1.9  2003/08/18 08:09:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:59  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 20:45:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:41:46  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:37:58  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/18 12:08:09  blues
- release 2 - license fix; STBR

Revision 1.1  2002/07/14 02:24:10  qboosh
- new

